package sgc.portal.com.com.persistence;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.Cmpn;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 프로그램 목록 매퍼  DAO
 *
 * @author KyungHee Jang(khjang@sgc.co.kr)
 * @version 1.0.0
 * @since  2020. 8. 2.
 */


@Mapper
public interface  ComCovendMngMapper {
    List<EasyHashMap<String, Object>> getAll();
    
    List<EasyHashMap<String, Object>> getCmpn(Cmpn cmpns);

    List<EasyHashMap<String, Object>> selectComCmpnMng(Cmpn cmpns);

    void insertComCmpnMng(Cmpn cmpns);

    void updateComCmpnMng(Cmpn cmpns);

    void deleteComCmpnMng(Cmpn cmpns);
}

